%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif
%define daemon_user monitor
%define daemon_home /opt/monitor
%define daemon_shell /bin/bash
%define daemon_uid 299

Name: op5-monitor-user
Summary: Meta package that sets up op5 Monitor daemon user
Group: op5/Monitor
Version: 6.2.0
Release: op5.1
# To make ensure that the required groups have been created
Requires: op5-monitor-supported-webserver
License: op5 Software License
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

%description
This meta package creates a local daemon user and group which is
used to run op5 Monitor.

%prep
%setup -q

%post
if ! id monitor &> /dev/null; then
	useradd -g %daemon_group -u %daemon_uid -d %daemon_home -s %daemon_shell -M %daemon_user
fi

%install
install -d %buildroot%_docdir/op5-monitor-user-%{version}
install README.op5-monitor-user %buildroot%_docdir/op5-monitor-user-%{version}/README

%files
%defattr(644, root, root)
%doc %_docdir/op5-monitor-user-%{version}/README
%clean
rm -rf %buildroot
